- Qt 5.15
- Qt GUI
- C++ Classes
- QPaintEngineState
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QPaintEngineState

The following members of class QPaintEngineState are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QMatrix | matrix() const

## Member Function Documentation

### QMatrix QPaintEngineState::matrix() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use transform() instead.

Returns the matrix in the current paint engine state.

Note: It is advisable to use transform() instead of this function to preserve the properties of perspective transformations.

This variable should only be used when the state() returns a combination which includes the QPaintEngine::DirtyTransform flag.

This function was introduced in Qt 4.2.

See also state() and QPaintEngine::updateState().